LogSequenceNumber (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class LogSequenceNumber

- java.lang.Object
- - com.sleepycat.db.LogSequenceNumber

-     public class LogSequenceNumber
      extends java.lang.Object

  The LogSequenceNumber object is a log sequence number which specifies a unique location in a log file. A LogSequenceNumber consists of two unsigned 32-bit integers -- one specifies the log file number, and the other specifies the offset in the log file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogSequenceNumber()` Construct an uninitialized LogSequenceNumber.
    `LogSequenceNumber(int file, int offset)` Construct a LogSequenceNumber with the specified file and offset.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(LogSequenceNumber lsn1, LogSequenceNumber lsn2)` Compare two LogSequenceNumber objects.
    `int` | `getFile()` Return the file number component of the LogSequenceNumber.
    `int` | `getOffset()` Return the file offset component of the LogSequenceNumber.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogSequenceNumber

          public LogSequenceNumber(int file,
                                   int offset)

      Construct a LogSequenceNumber with the specified file and offset.

      Parameters:
        `file` - The log file number.

        `offset` - The log file offset.

    - #### LogSequenceNumber

          public LogSequenceNumber()

      Construct an uninitialized LogSequenceNumber.

  - ### Method Detail

    - #### getFile

          public int getFile()

      Return the file number component of the LogSequenceNumber.

      Returns:
        The file number component of the LogSequenceNumber.

    - #### getOffset

          public int getOffset()

      Return the file offset component of the LogSequenceNumber.

      Returns:
        The file offset component of the LogSequenceNumber.

    - #### compare

          public static int compare(LogSequenceNumber lsn1,
                                    LogSequenceNumber lsn2)

      Compare two LogSequenceNumber objects.

      This method returns 0 if the two LogSequenceNumber objects are equal, 1 if lsn0 is greater than lsn1, and -1 if lsn0 is less than lsn1.

      Parameters:
        `lsn1` - The first LogSequenceNumber object to be compared.

        `lsn2` - The second LogSequenceNumber object to be compared.

      Returns:
        0 if the two LogSequenceNumber objects are equal, 1 if lsn1 is greater than lsn2, and -1 if lsn1 is less than lsn2.

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.